const app = require('../../utils/util.js');
const tool = require('../../utils/tool.js');
Page({
  data: {
    currentIndex: 0,
    arr: [],
    arr1: [],
    isInfo: false,
    isTargetInfo: false,
    letterStatus: true,
    lbArr: [{
        src: '../../images/lb2.png'
      },
      // {src:'../../images/lb2.png'},
      // {src:'../../images/lb2.png'}
    ]
  },
  // 轮播
  handleChange: function (e) {
    this.setData({
      currentIndex: e.detail.current
    })
  },
  // 关闭信件
  closeLetter() {
    console.log('1')
    this.setData({
      letterStatus: true
    })
    wx.setStorageSync('letterStatus', true)
  },
  goShare() {
    wx.navigateTo({
      url: '/pages/share/share',
    })
  },
  // 跳转活动详情页面
  goActive(e) {
    if (e.currentTarget.dataset.activestatus != -1) {
      let id = e.currentTarget.dataset.id
      let openId = e.currentTarget.dataset.openid
      wx.navigateTo({
        url: '/pages/activeDetail/activeDetail?id=' + id + '&openId=' + openId,
      })
    } else {
      wx.showModal({
        title: '活动已经结束啦',
        showCancel: false
      });
    }
  },
  goActiveDefault() {
    wx.navigateTo({
      url: '/pages/activeDefaultDetails/activeDefaultDetails',
    })
  },
  // 获取活动列表
  getActivies() {
    wx.request({
      url: app.globalData.publicUrl + '/wx/member/' + this.data.openid + '/actives',
      method: "get",
      success: (res) => {
        console.log(res)
        if (res.data.code == 0) {
          let deleteArr = []
          for (let i = 0; i < res.data.actives.length; i++) {
            if (res.data.actives[i].activeStatus == -1) {
              deleteArr.push(res.data.actives[i])
              res.data.actives.splice(i, 1);
            }
          }
          this.setData({
            arr: res.data.actives.concat(deleteArr)
          })
        }
      },
      complete() {
        wx.hideLoading();
      }
    })
    // wx.request({
    //   url: app.globalData.publicUrl + '/wx/member/' + this.data.openid + '/actives',
    //   method: "get",
    //   data: {
    //     activeStatus: 1
    //   },
    //   success: (res) => {
    //     if (res.data.code == 0) {
    //       this.setData({
    //         arr1: res.data.actives
    //       })
    //     }
    //   },
    //   complete() {
    //     wx.hideLoading();
    //   }
    // })
  },
  goMy() {
    wx.redirectTo({
      url: '/pages/personal/personal',
    })
  },
  getIntroduce(id) {
    wx.request({
      url: app.globalData.publicUrl + '/wx/member/' + this.data.openid + '/introduce',
      method: "get",
      data: {
        introduce: id
      },
      success: (res) => {
        console.log(res, '获取推荐人')
      }
    })
  },
  getletterStauts() {
    console.log(wx.getStorageSync('letterStatus'))
    if (wx.getStorageSync('letterStatus') == true) {
      console.log('我缓存里有值是1')
      this.setData({
        letterStatus: true
      })
      // this.closeLetter();
    } else {
      console.log('我没有缓存、')
      this.setData({
        letterStatus: false
      })
    }
    console.log(this.data.letterStatus)
  },
  onLoad(options) {
    this.getletterStauts();
    wx.showLoading();
    tool.openidStatus().then(result => {
      this.setData({
        openid: result[0],
        sessionkey: result[1],
      })
      this.getActivies();
      if (options.id) {
        this.getIntroduce(options.id);
      }
    })
  },
  onShow() {
    this.getActivies();
    this.getletterStauts();
  }
})